/* AMX Mod script.
*
* Admin Footsteps 0.1
*  by SniperBeamer
*
*
* Description: Give silent/normal footsteps.
* Usage: amx_footsteps <authid, nick, @team or #userid> <0/1>
* Example: amx_footsteps SniperBeamer 0 (silent footsteps)
*
* Requires the XtraFun modul!
*
*/

//----------------------------------------------------------------------------------------------
#include <amxmod>
#include <amxmisc>
#include <fun>
//----------------------------------------------------------------------------------------------
#define ACCESS_LEVEL ADMIN_LEVEL_A
//----------------------------------------------------------------------------------------------
public plugin_init()
{
	register_plugin("Admin Footsteps","0.1","SniperBeamer")
	register_concmd("amx_footsteps","toggle_footsteps",ACCESS_LEVEL,"<authid, nick, @team or #userid> <0/1>")
}
//----------------------------------------------------------------------------------------------
public toggle_footsteps(id,level,cid)
{
	if (!cmd_access(id,level,cid,3))
		return PLUGIN_HANDLED

	new arg1[32],arg2[8],toggle
	read_argv(1,arg1,31)
	read_argv(2,arg2,7)
	if (str_to_num(arg2)==1 || equali(arg2,"on",2)) toggle = 0
	else toggle = 1

	if (arg1[0]=='@')
	{
		new plist[32],pnum
		get_players(plist,pnum,"e",arg1[1])
		if (pnum==0)
		{
			console_print(id,"[AMX] No clients in such team")
			return PLUGIN_HANDLED
		}
		for (new i=0; i<pnum; i++)
		{
			if (!(get_user_flags(plist[i])&ADMIN_IMMUNITY))
				set_user_footsteps(plist[i],toggle)
		}
		console_print(id,"[AMX] Set footsteps of ^"%s^" %s",arg1[1],(toggle)?"off":"on")
	}
	else
	{
		new pName[32],player = cmd_target(id,arg1,3)
		if (!player) return PLUGIN_HANDLED
		set_user_footsteps(player,toggle)
		get_user_name(player,pName,31)
		console_print(id,"[AMX] Set footsteps of ^"%s^" %s",pName,(toggle)?"off":"on")
	}

	return PLUGIN_HANDLED
}
//----------------------------------------------------------------------------------------------
